# Insert Bulk Customer Extensions Inserts multiple customers extensions to the Master Data table. The name (a name of the category) and customerId must be provided for each record in the header and data object within the request body. The /loaddata operation is a very efficient and quick way to insert bulk data to the Master Data table. The main advantage is its greater speed when loading thousands of records (compared to e.g. /integrate). >Please note > If no joinFields are provided in the request, then this operation will insert entire records. It means that in this case (without joinFields) with /loaddata it is not possible to update just some fields (for this use the /integrate endpoint instead). The source data must always contain the entire row’s content. Endpoint: POST /loaddata/CX Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.data` (array, required) Specify the field values in the same order as specified in the header object. - `data.header` (array, required) efine field names (table columns) of the record. - `data.options` (object) - `data.options.detectJoinFields` (boolean) - `data.options.joinFields` (array) A list of fields (that also need to appear in the header and data) that make up the business key ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.status` (number)